# BugWork Broker

本项目是 BugWork 系列应用的广域网中介应用，主要用来在广域网上提供桌面应用的无中心组网和单工作组的主机选举工作。

Broker 设计工作于 Linux 操作系统中，兼容 Windows 系列操作系统，本身全部程序使用 Rust 开发。

## 使用授权计划

本中介应用功能为支持 BugWork 系列应用的广域网节点发现以及辅助通讯，故中介应用的使用授权主要为限制其可中介的终端节点容量。根不同的容量支持，使用授权将分为以下几种。

> 使用授权不影响终端节点连入多个中介节点以及终端节点的局域网使用。

### 开源授权

开源授权不设置任何容量限制，但终端节点在连入使用开源授权中介节点时，将自动展示“不可信节点”提示。开源授权中介节点不支持 SSL 通讯，并且在可传输信息种类上将受到一定的限制。

### 社区版计划

社区版计划可免费申请，终端节点在连入使用社区版计划的中介节点时，将自动展示“社区节点”。社区版计划支持 SSL 通讯，允许传输全部信息种类。社区版计划支持终端节点容量为 100 节点。

### 工作组计划

工作组计划为付费计划，终端节点在连入使用工作组计划的中介节点时，将自动展示“工作组节点”。工作组计划支持社区版计划的全部功能，并支持终端节点容量为 500 节点。

### 企业计划

企业计划为工作组计划的升级计划，拥有小企业计划的全部功能，支持的终端节点数量可根据需要灵活配置。

### 特别授权计划

特别授权计划为特殊开放计划，与企业版功能一致。

### 基建授权

基建授权为运营方自建节点授权。

## 项目许可

项目使用 Apache 2.0 许可协议。
